mod db;
mod auth;

use dotenv;
use auth::ApiKey;

#[macro_use]
extern crate rocket;

#[get("/")]
async fn index() -> &'static str {
    "Hello World!"
}

#[get("/hi")]
async fn hello(api_key: ApiKey) -> &'static str {
    "Hi!"
}

#[launch]
fn rocket() -> _ {
    dotenv::dotenv().ok();
    let db_path = dotenv::var("DB_PATH").expect("DB_PATH is not set");
    dotenv::var("API_KEY").expect("API_KEY is not set");
    let db = db::Conn::new(&db_path);

    rocket::build().mount("/", routes![index, hello])
}
